Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	Utilities for managing filesystem extended attributes.
Name: 		attr
Version: 	2.4.43
Release: 	1
Prereq: 	/sbin/ldconfig
BuildRoot: 	%{_tmppath}/%{name}-root
BuildArch:	i686
Source: 	ftp://oss.sgi.com/projects/xfs/cmd_tars/attr_%{version}-1.tar.gz
Patch1: 	attr-2.0.8-docperms.patch
Patch2: 	attr-2.2.0-multilib.patch
Patch3: 	attr-2.4.32-build.patch
License: 	GPL
URL: 		http://oss.sgi.com/projects/xfs/
Group: 		System/Base
BuildRequires: 	autoconf, libtool >= 1.5, gettext

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
A set of tools for manipulating extended attributes on filesystem
objects, in particular getfattr(1) and setfattr(1).
An attr(1) command is also provided which is largely compatible
with the SGI IRIX tool of the same name.

%package -n libattr
Summary: 	Dynamic library for extended attribute support.
Group: 		System/Libraries
License: 	LGPL
Prereq: 	/sbin/ldconfig

%description -n libattr
This package contains the libattr.so dynamic library which contains
the extended attribute system calls and library functions.

%package -n libattr-devel
Summary: Extended attribute static libraries and headers.
Group: Development/Libraries
License: LGPL
Requires: libattr

%description -n libattr-devel
This package contains the libraries and header files needed to
develop programs which make use of extended attributes.
For Linux programs, the documented system call API is the
recommended interface, but an SGI IRIX compatibility interface
is also provided.

Currently only ext2, ext3 and XFS support extended attributes.
The SGI IRIX compatibility API built above the Linux system calls is
used by programs such as xfsdump(8), xfsrestore(8) and xfs_fsr(8).

You should install libattr-devel if you want to develop programs
which make use of extended attributes.  If you install libattr-devel,
you'll also want to install attr.

%prep
%setup -q
# We need to turn off executable permissions on the script in %doc
# because we don't want to drag perl into the base.  Users advanced
# enough to have used ACLs before they were added to the distro can
# figure out how to chmod and how to install perl.  :-)
#%patch1 -p1 -b .perms
%patch2 -p1 -b .multilib
%patch3 -p1 -b .build

autoconf

%build
# attr abuses libexecdir
%configure --libdir=/%{_lib} --libexecdir=%{_libdir}
make LIBTOOL="libtool --tag=CC"

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
make install-dev DESTDIR=$RPM_BUILD_ROOT
make install-lib DESTDIR=$RPM_BUILD_ROOT

# get rid of libattr.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/libattr.la

# fix links to shared libs and permissions
rm -f $RPM_BUILD_ROOT/%{_libdir}/libattr.so
ln -s /%{_lib}/libattr.so $RPM_BUILD_ROOT/%{_libdir}/libattr.so
chmod 0755 $RPM_BUILD_ROOT/%{_lib}/libattr.so.*.*.*

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libattr -p /sbin/ldconfig

%postun -n libattr -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/attr
%{_bindir}/getfattr
%{_bindir}/setfattr
%{_datadir}/doc/attr-%{version}
%{_mandir}/man1/attr.1*
%{_mandir}/man1/getfattr.1*
%{_mandir}/man1/setfattr.1*
%{_mandir}/man5/attr.5*

%files -n libattr-devel
%defattr(-,root,root)
/%{_lib}/libattr.so
%{_includedir}/attr
%{_libdir}/libattr.*
%{_mandir}/man2/*attr.2*
%{_mandir}/man3/attr_*.3.*

%files -n libattr
/%{_lib}/libattr.so.*

%changelog
* Thu Jan 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.4.43-1
- Version update
* Mon Oct 15 2007 Simon Schmeisser <wrt@ccux-linux.de> 2.4.39-1
- Version update
* Sun Jul 16 2006 Christian Metzen <metzench@ccux-linux.de> 2.4.32-1
- Initital release
